org.cybergarage.xml

## Class AttributeList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<Attribute>
      - - org.cybergarage.xml.AttributeList

- All Implemented Interfaces:
    Serializable, Cloneable, Iterable<Attribute>, Collection<Attribute>, List<Attribute>, RandomAccess

      public class AttributeList
      extends Vector<Attribute>

  A vector-based collection of XML attributes.

  This class extends Vector to provide specialized methods for managing collections of Attribute objects. It includes methods for finding attributes by name.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.Vector

      `capacityIncrement, elementCount, elementData`

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeList()` Creates an empty AttributeList.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Attribute` | `getAttribute(int n)` Gets the attribute at the specified index.
    `Attribute` | `getAttribute(String name)` Gets the first attribute with the specified name.

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, forEach, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeIf, removeRange, replaceAll, retainAll, set, setElementAt, setSize, size, sort, spliterator, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Constructor Detail

    - #### AttributeList

          public AttributeList()

      Creates an empty AttributeList.

  - ### Method Detail

    - #### getAttribute

          public Attribute getAttribute(int n)

      Gets the attribute at the specified index.
      Parameters:
        `n` - the index of the attribute to retrieve
      Returns:
        the attribute at the specified index

    - #### getAttribute

          public Attribute getAttribute(String name)

      Gets the first attribute with the specified name.
      Parameters:
        `name` - the name of the attribute to find
      Returns:
        the first attribute with the specified name, or null if not found